Last modified: 2011-12-30 23:28:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30485 - Hieroglyphs look scary if embedded in tables with class="wikitable"
Hieroglyphs look scary if embedded in tables with class="wikitable"
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikiHiero (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.mediawiki.org/wiki/User:Ma...
:
Depends on:
Blocks: css
  Show dependency treegraph
 
Reported: 2011-08-21 11:16 UTC by Max Semenik
Modified: 2011-12-30 23:28 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Max Semenik 2011-08-21 11:16:19 UTC
See http://www.mediawiki.org/wiki/User:MaxSem/hiero-table
We need to override some properties in WikiHiero's CSS.
Comment 1 Derk-Jan Hartman 2011-08-21 12:07:26 UTC
Raising the equally interesting point of "why does it use tables ?"

I guess some layout work can be done here.
Comment 2 Brion Vibber 2011-08-23 21:53:52 UTC
CSS rule definitions for .wikitable and .wikitable td were beating out those for .mw-wikihiero and .mw-wikihiero td. Added !important onto them in r95340 (trunk) to force the hieroglyphic layout table's styles to have preference.

Will probably need merge to prod branches.
Comment 3 Max Semenik 2011-09-12 17:50:31 UTC
http://ru.wikipedia.org/wiki/Яхмос_I still looks scary in Opera.
Comment 4 Brion Vibber 2011-09-12 18:13:10 UTC
That table does not use the wikitable class, and the problem doesn't appear in:
* IE 6/7/8/9
* Firefox 7
* Chrome 13

Looks like it may be Opera-specific style bugs? It's adding a 'border-left' into the computed styles for the <td>s but it doesn't appear anywhere in the referenced styles.

Please open a separate bug for this, since the originally-reported issues do appear to be fixed and this looks distinct.
Comment 5 Danny B. 2011-12-30 23:28:41 UTC
Reverted r95340 in r107671 in favour of fix in r107669.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links